> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # GetAuditLog POST https://api.voximplant.com/platform_api/GetAuditLog Gets the history of account changes. Allowed roles: `Owner`. **Example request:** Get the three log items from the 2018-02-01 00:00:00 to the 2018-03-01 00:00:00 and filter. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/history/get-audit-log ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `from_date` (string, required) — The UTC 'from' date filter in 24-h format: YYYY-MM-DD HH:mm:ss - `to_date` (string, required) — The UTC 'to' date filter in 24-h format: YYYY-MM-DD HH:mm:ss - `audit_log_id` (list of integer, optional) — The audit history ID list separated by semicolons (;) - `filtered_admin_user_id` (string, optional) — The admin user ID to filter - `filtered_ip` (list of string, optional) — The IP list separated by semicolons (;) to filter - `filtered_cmd` (list of string, optional) — The function list separated by semicolons (;) to filter - `advanced_filters` (string, optional) — A relation ID to filter (for example: a phone_number value, a user_id value, an application_id value) - `desc_order` (boolean, optional, default: false) — Whether to get records in the descent order - `with_total_count` (boolean, optional, default: false) — Whether to include the 'total_count' and increase performance - `count` (integer, optional, default: 100) — The max returning record count - `offset` (integer, optional, default: 0) — The first **N** records are skipped in the output ## Response ### 200 Successful response - `result` (list of AuditLogInfoType, optional) - `total_count` (integer, optional) — The total found item count - `count` (integer, optional) — The returned item count - `timezone` (string, optional) — The used timezone ## Types ### AuditLogInfoType The [GetAuditLog] function result item. - `audit_log_id` (integer, optional) — The audit log ID - `subuser_id` (integer, optional) — The subuser's ID - `subuser_name` (string, optional) — The subuser's name - `account_id` (integer, optional) — The account ID - `requested` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. The action time in the selected timezone in 24-h format: YYYY-MM-DD HH:mm:ss - `ip` (string, optional) — The initiator IP address - `cmd_name` (string, optional) — The called function - `cmd_args` (AuditLogInfoTypeCmdArgs, optional) — The arguments of the called function (they may be masked or resolved) - `cmd_result` (AuditLogInfoTypeCmdResult, optional) — The modified values ### AuditLogInfoTypeCmdArgs The arguments of the called function (they may be masked or resolved) - `skill_name` (string, optional) - `bind` (boolean, optional) - `skill_id` (list of integer, optional) - `acd_queue_id` (list of integer, optional) ### AuditLogInfoTypeCmdResult The modified values - `skill_id` (integer, optional) - `deleted_skills` (list of AuditLogInfoTypeCmdResultDeletedSkillsItems, optional) ### AuditLogInfoTypeCmdResultDeletedSkillsItems - `skill_name` (string, optional) - `skill_id` (integer, optional) ## Examples **Response** ```json { "result": [ { "audit_log_id": 58, "account_id": 1, "requested": "2018-02-04 19:35:13", "ip": "192.168.0.12", "cmd_name": "AddSkill", "cmd_args": { "skill_name": "manager" }, "cmd_result": { "skill_id": 152 } }, { "audit_log_id": 159, "account_id": 1, "requested": "2018-02-05 19:36:19", "ip": "192.168.0.12", "cmd_name": "BindSkill", "cmd_args": { "bind": true, "skill_id": [ 152 ], "acd_queue_id": [ 151 ] } }, { "audit_log_id": 1073, "account_id": 1, "requested": "2018-02-12 21:42:56", "ip": "192.168.15.12", "cmd_name": "DelSkill", "cmd_args": { "skill_id": [ 152 ] }, "cmd_result": { "deleted_skills": [ { "skill_name": "officer", "skill_id": 152 } ] } } ], "count": 3, "timezone": "Etc/GMT" } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/GetAuditLog" querystring = {"from_date":"2026-04-28 17:30:00","to_date":"2026-04-28 17:30:00"} headers = {"Authorization": "Bearer "} response = requests.post(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/GetAuditLog?from_date=2026-04-28+17%3A30%3A00&to_date=2026-04-28+17%3A30%3A00'; const options = {method: 'POST', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/GetAuditLog?from_date=2026-04-28+17%3A30%3A00&to_date=2026-04-28+17%3A30%3A00" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/GetAuditLog?from_date=2026-04-28+17%3A30%3A00&to_date=2026-04-28+17%3A30%3A00") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/GetAuditLog?from_date=2026-04-28+17%3A30%3A00&to_date=2026-04-28+17%3A30%3A00") .header("Authorization", "Bearer ") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/GetAuditLog?from_date=2026-04-28+17%3A30%3A00&to_date=2026-04-28+17%3A30%3A00', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/GetAuditLog?from_date=2026-04-28+17%3A30%3A00&to_date=2026-04-28+17%3A30%3A00"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetAuditLog?from_date=2026-04-28+17%3A30%3A00&to_date=2026-04-28+17%3A30%3A00")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```